Skip to content

List roles

GET
/auth/roles
curl --request GET \
--url https://sylve.lan:8181/api/auth/roles \
--header 'Authorization: <Authorization>'

Built-in and custom roles with their privileges

Roles

Media typeapplication/json
object
data
Array<object>
object
builtin
boolean
name
string
privileges
Array<string>
error
string
message
string
status
string
Examplegenerated
{
"data": [
{
"builtin": true,
"name": "example",
"privileges": [
"example"
]
}
],
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}